Skip to main content
POST
/
helm
/
{helmId}
/
deploy
Deploy helm
curl --request POST \
  --url https://api.qovery.com/helm/{helmId}/deploy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chart_version": "<string>",
  "git_commit_id": "<string>",
  "values_override_git_commit_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "state": "BUILDING",
  "service_deployment_status": "NEVER_DEPLOYED",
  "is_part_last_deployment": true,
  "status_details": {
    "action": "DEPLOY",
    "status": "QUEUED",
    "sub_action": "NONE"
  },
  "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deployment_requests_count": 123,
  "last_deployment_date": "2023-11-07T05:31:56Z",
  "steps": {
    "total_duration_sec": 123,
    "total_computing_duration_sec": 123,
    "details": [
      {
        "step_name": "REGISTRY_CREATE_REPOSITORY",
        "status": "SUCCESS",
        "duration_sec": 123
      }
    ]
  },
  "execution_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

helmId
string<uuid>
required

Helm ID

Query Parameters

forceEvent
enum<string>

When filled, it indicates the target event to be deployed.
If the concerned helm hasn't the target event provided, the helm won't be deployed.

Available options:
DIFF

Body

application/json
chart_version
string

version of the chart to deploy. Cannot be set if git_commit_id is defined

git_commit_id
string

Commit to deploy for chart source. Cannot be set if version is defined

values_override_git_commit_id
string

Commit to deploy for values override

Response

Deploy helm

id
string<uuid>
required
state
enum<string>
required
Available options:
BUILDING,
BUILD_ERROR,
CANCELED,
CANCELING,
DELETED,
DELETE_ERROR,
DELETE_QUEUED,
DELETING,
DEPLOYED,
DEPLOYING,
DEPLOYMENT_ERROR,
DEPLOYMENT_QUEUED,
EXECUTING,
QUEUED,
READY,
RECAP,
RESTARTED,
RESTARTING,
RESTART_ERROR,
RESTART_QUEUED,
STOPPED,
STOPPING,
STOP_ERROR,
STOP_QUEUED,
UNAVAILABLE,
WAITING_DELETING,
WAITING_RESTARTING,
WAITING_RUNNING,
WAITING_STOPPING
service_deployment_status
enum<string>
required
Available options:
NEVER_DEPLOYED,
OUT_OF_DATE,
UP_TO_DATE
is_part_last_deployment
boolean
required
status_details
object
required
deployment_request_id
string<uuid> | null
required
deployment_requests_count
integer
required
last_deployment_date
string<date-time>
steps
object
execution_id
string